Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class CategoryAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.CategoryAdmin

    public class CategoryAdmin

extends java.lang.Object

The `CategoryAdmin.java` class - colleciton of Category admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_CategoryTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`CategoryAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `identifyCategory(LibrarySession sess, ParameterTable params)` Section variant of Identify Category
`void` | `identifyCategory(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String avnameOfParent, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify Category
`Category` | `lookupCategory(java.lang.String idname)`
`void` | `modifyCategory(LibrarySession sess, ParameterTable params)` Section variant of Modify Category
`void` | `modifyCategory(LibrarySession sess, java.lang.String idname, CategoryDefinition def)` internal variant of Modify Category
`void` | `showCategory(LibrarySession sess, Category category)`
`void` | `showCategory(LibrarySession sess, ParameterTable params)` Section variant of showCategory
`void` | `showCategory(LibrarySession sess, java.lang.String categoryname)` Inline/internal variant of showCategory
`void` | `unidentifyCategory(LibrarySession sess, ParameterTable params)` Section variant of Unidentify Category

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_CategoryTable

    protected java.util.Hashtable m_CategoryTable

Constructor Detail

### CategoryAdmin

    public CategoryAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### modifyCategory

    public void modifyCategory(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `CategoryAdmin`
  Section variant of Modify Category

  Throws:
    `IfsException`

### modifyCategory

    public void modifyCategory(LibrarySession sess,
                               java.lang.String idname,
                               CategoryDefinition def)
                        throws IfsException

  Description copied from class: `CategoryAdmin`
  internal variant of Modify Category

  Throws:
    `IfsException`

### identifyCategory

    public void identifyCategory(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `CategoryAdmin`
  Section variant of Identify Category

  Throws:
    `IfsException`

### identifyCategory

    public void identifyCategory(LibrarySession sess,
                                 java.lang.String idname,
                                 java.lang.Long id,
                                 java.lang.String name,
                                 java.lang.String avnameOfParent,
                                 java.lang.String valueDefaultName,
                                 java.lang.String path)
                          throws IfsException

  Description copied from class: `CategoryAdmin`
  Inline/internal variant of Identify Category

  Throws:
    `IfsException`

### unidentifyCategory

    public void unidentifyCategory(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `CategoryAdmin`
  Section variant of Unidentify Category

  Throws:
    `IfsException`

### showCategory

    public void showCategory(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `CategoryAdmin`
  Section variant of showCategory

  Throws:
    `IfsException`

### showCategory

    public void showCategory(LibrarySession sess,
                             java.lang.String categoryname)
                      throws IfsException

  Description copied from class: `CategoryAdmin`
  Inline/internal variant of showCategory

  Throws:
    `IfsException`

### lookupCategory

    public Category lookupCategory(java.lang.String idname)
                            throws IfsException

  Throws:
    `IfsException`

### showCategory

    public void showCategory(LibrarySession sess,
                             Category category)
                      throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD